Name:           birdfont
Version:        2.18.3
Release:        %mkrel 1
Summary:        A free font editor for TTF, EOT & SVG fonts
Group:          Graphics/Editors and Converters
License:        GPLv3+
URL:            http://birdfont.org
Source0:        http://birdfont.org/releases/%{name}-%{version}.tar.xz
Patch0:         birdfont-2.0.2-mga-desktop.patch

BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  pkgconfig(xmlbird)
BuildRequires:  python3
BuildRequires:  vala-tools
Requires:       google-roboto-fonts
Requires:       unicode-ucd

%description
BirdFont is a free font editor that lets you create vector graphics and export
TTF, EOT & SVG fonts.

%prep
%setup -q
%autopatch -p1

%build
%{__python3} ./configure -p%{_prefix}
%{__python3} scripts/linux_build.py

%install
%{__python3} install.py -d%{buildroot} -n/share/man/man1

rm -f %{buildroot}%{_libdir}/libbird*.so

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}*
%{_libdir}/libbirdfont.so.*
%{_libdir}/libbirdgems.so.*
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}*.1*


%changelog
* Sun Dec 18 2016 akien <akien> 2.18.3-1.mga6
+ Revision: 1075988
- Version 2.18.3

* Thu Nov 10 2016 akien <akien> 2.17.1-1.mga6
+ Revision: 1066158
- Version 2.17.1

* Sat Oct 29 2016 akien <akien> 2.16.12-2.mga6
+ Revision: 1064062
- Rebuild for xmlbird 1.2.4

* Thu Oct 20 2016 akien <akien> 2.16.12-1.mga6
+ Revision: 1062575
- Version 2.16.12

* Sat Oct 08 2016 akien <akien> 2.16.10-1.mga6
+ Revision: 1059582
- Version 2.16.10

* Thu Aug 11 2016 akien <akien> 2.16.5-1.mga6
+ Revision: 1045702
- Version 2.16.5

* Sat Apr 23 2016 akien <akien> 2.15.5-1.mga6
+ Revision: 1005524
- Requires google-roboto-fonts
- Version 2.15.5

  + luigiwalser <luigiwalser>
    - back to webkit1 for now
    - try building with webkit2

* Sun Jan 03 2016 akien <akien> 2.15.3-1.mga6
+ Revision: 919099
- Version 2.15.3

* Fri Nov 06 2015 tv <tv> 2.13.0-1.mga6
+ Revision: 898228
- BR pkgconfig(xmlbird)
- BR python3
- new release
- new release

* Fri Jan 30 2015 akien <akien> 2.0.2-1.mga5
+ Revision: 812762
- imported package birdfont

